Subject: statist v1.0.1 released

From: Bernhard Reiter <[email-masked]>
Date: Thu, 15 Nov 2001 22:28:23 +0100

Finally got around to bring you statist-1.0.1.
http://www.usf.uos.de/~breiter/tools/statist/index.en.html

Statist's memory management should be a lot better now, 
see other CHANGES at the end of this mail.

I've wanted to make a clean stable 1.0.1 release and only focus on the 
memory management, thus I did not include the other contributed patches yet.

My plan is to eventually move statist into a CVS tree at Intevation.
This would allow me to give possible developers secure write access
in the future. Additionally I will offer to use the same CVS 
to Andreas for statistX development.

Next releases of statist should focus on bringing better support for
internationalisation with gettext and the italien translation.

I am thinking about writing an rpm spec file for statist
to easy compilation and installation for people.
Even nicer would be a version which uses the pipe variante of
gnuplot for windows and gets packaged with InnoSetup so that Windows
users get to enjoy an easy installable. 

Let me know if you like to help with one of these.
And of course please tell us about how you like statist-1.0.1.

All the best,
	Bernhard

Changes up to v1.0.1: Bernhard Reiter <[email-masked]>
	* cleanup: grouped memory functions and moved them to
	new source files: memory_handling.[hc]

	* fix: reworked memory handling, only the functions mycalloc, myalloc
	and myfree() are used now. A couple of free()s where too much.
	Thanks to KAWAMURA Masao <[email-masked]> and his patch   
	for pointing me to the problem.

	* memory handling: no fixed limit on temporary variables anymore
	all memory allocated with m_calloc() is now deallocated by m_freeall(). 
	So removed n_ptr, ptr_arr and MPTR from the code.

	* cleanup: removed alread inactived myfopen() from the code completly

	* Improved err message if a bad option is given.

	* cleanup: removed oldmakefiles and Makefile.in as they were
	getting more and more out of date.

-- 
Professional Service around Free Software                (intevation.net)  
The FreeGIS Project                                         (freegis.org)
Association for a Free Informational Infrastructure            (ffii.org)
FSF Europe                                            	  (fsfeurope.org)